import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core/ES5/type";
import { DependencyProperty } from "igniteui-react-core/ES5/DependencyProperty";
/**
 * @hidden
 */
export declare class DetrendedPriceOscillatorIndicator extends StrategyBasedIndicator {
    static $t: Type;
    protected get_p5(): IndicatorCalculationStrategy;
    protected readonly p5: IndicatorCalculationStrategy;
    protected get_qi(): Type;
    protected readonly qi: Type;
    qq: number;
    static readonly qr: DependencyProperty;
    protected qb(): number;
    qk(a: number): void;
}
